Subject: bug#22147: Obsolete search-forward-lax-whitespace

From: Juri Linkov <[email-masked]>
Date: Mon, 07 Sep 2020 21:34:56 +0300

tags 22147 fixed
close 22147 28.0.50
quit

> I've just skimmed this bug report, but it seems like a different version
> of the proposed patch was applied three years later:
>
> commit 376f5df3cca0dbf186823e5b329d76b52019473d
> Author:     Juri Linkov <[email-masked]>
> AuthorDate: Tue Jul 23 23:27:28 2019 +0300
>
>     Customizable char-fold with char-fold-symmetric, char-fold-include (bug#35689)
>
> search-forward-lax-whitespace still isn't obsolete, but I'm unsure
> whether there's anything more to do in this bug report?

Let's see if the requested feature works now:

0. emacs -Q

1. eval

(setq search-whitespace-regexp "\\(?:\\s-\\|\n\\)+")
(require 'char-fold)
(setq-default search-default-mode 'char-fold-to-regexp)
(setq char-fold-symmetric t)

2. then ‘C-s 1 C-q C-j 2 C-s’ finds both occurrences:

1 2
1
2

Oh, wait!  This works because I have an uninstalled patch from bug#38539.
Now pushed to master, and closed both reports.